Package org.codehaus.groovy.control

# Class CompilationUnit.PrimaryClassNodeOperation

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

Direct Known Subclasses:
  `CompilationCustomizer`

Enclosing class:
  `CompilationUnit`

public abstract static class CompilationUnit.PrimaryClassNodeOperation extends Object
An callback interface for use in the applyToPrimaryClassNodes loop driver.

## Constructor Summary

Constructors
Constructor
Description
`PrimaryClassNodeOperation()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
`boolean`
`needSortedInput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrimaryClassNodeOperation

public PrimaryClassNodeOperation()

## Method Details

### call

public abstract void call(SourceUnit source, GeneratorContext context, ClassNode classNode) throws CompilationFailedException

Throws:
  `CompilationFailedException`

### needSortedInput

public boolean needSortedInput()